{
  "name": "scanner-app",
  "version": "0.0.0",
  "scripts": {
    "postinstall": "yarn electron:builder:install-app-deps",
    "ng": "ng",
    "start": "yarn start:electron:hmr",
    "start:hmr": "ng serve --configuration hmr",
    "start:electron:hmr": "npm-run-all -p start:hmr wait-on:build:main:dev",
    "build": "ng build",
    "build:main:dev": "webpack --config config/webpack.config.main.js --progress --profile",
    "test": "ng test",
    "lint": "ng lint",
    "e2e": "ng e2e",
    "wait-on:build:main:dev": "wait-on http-get://localhost:4200/ && yarn build:main:dev",
    "electron:builder:install-app-deps": "electron-builder install-app-deps"
  },
  "private": true,
  "dependencies": {
    "electron-devtools-installer": "^2.2.4",
    "rxjs": "^6.2.2",
    "sqlite3": "^4.0.2"
  },
  "devDependencies": {
    "@angular-devkit/build-angular": "~0.7.0",
    "@angular/animations": "^6.1.0",
    "@angular/cli": "~6.1.0",
    "@angular/common": "^6.1.0",
    "@angular/compiler": "^6.1.0",
    "@angular/compiler-cli": "^6.1.0",
    "@angular/core": "^6.1.0",
    "@angular/forms": "^6.1.0",
    "@angular/http": "^6.1.0",
    "@angular/language-service": "^6.1.0",
    "@angular/platform-browser": "^6.1.0",
    "@angular/platform-browser-dynamic": "^6.1.0",
    "@angular/router": "^6.1.0",
    "@angularclass/hmr": "^2.1.3",
    "@loafer/angular-cli-webpack": "0.0.1",
    "@ngrx/effects": "^6.1.0",
    "@ngrx/router-store": "^6.1.0",
    "@ngrx/schematics": "^6.1.0",
    "@ngrx/store": "^6.1.0",
    "@ngrx/store-devtools": "^6.1.0",
    "@overflow/core-js": "0.0.10",
    "@overflow/rpc-js": "0.0.7",
    "@types/d3": "^5.0.0",
    "@types/fs-extra": "^5.0.4",
    "@types/jasmine": "~2.8.6",
    "@types/jasminewd2": "~2.0.3",
    "@types/node": "^8.10.4",
    "@types/sqlite3": "^3.1.3",
    "awesome-typescript-loader": "^5.2.0",
    "codelyzer": "~4.2.1",
    "core-js": "^2.5.4",
    "d3": "^5.7.0",
    "devtron": "^1.4.0",
    "dexie": "^2.0.4",
    "electron": "^2.0.9",
    "electron-builder": "^20.28.4",
    "electron-connect": "^0.6.3",
    "electron-connect-webpack-plugin": "^0.1.1",
    "electron-debug": "^2.0.0",
    "electron-window-state": "^5.0.1",
    "file-uri-to-path": "^1.0.0",
    "file-url": "^2.0.2",
    "fs-extra": "^7.0.0",
    "ip-cidr": "^2.0.0",
    "jasmine-core": "~2.99.1",
    "jasmine-spec-reporter": "~4.2.1",
    "karma": "~1.7.1",
    "karma-chrome-launcher": "~2.2.0",
    "karma-coverage-istanbul-reporter": "~2.0.0",
    "karma-jasmine": "~1.1.1",
    "karma-jasmine-html-reporter": "^0.2.2",
    "ngrx-store-freeze": "^0.2.4",
    "ngx-perfect-scrollbar": "^6.3.1",
    "npm-run-all": "^4.1.3",
    "primeicons": "^1.0.0-beta.10",
    "primeng": "^6.1.3",
    "primer-support": "^4.0.0",
    "protractor": "~5.3.0",
    "source-map-support": "^0.5.8",
    "ts-node": "~5.0.1",
    "tslint": "~5.9.1",
    "typescript": "~2.7.2",
    "vis": "^4.21.0",
    "wait-on": "^2.1.0",
    "webpack-cli": "^3.1.0",
    "webpack-node-externals": "^1.7.2",
    "zone.js": "^0.8.26"
  }
}